%define anolis_release 1

Name:           perl-Lingua-Translit
Version:        0.29
Release:        %{anolis_release}%{?dist}
Summary:        Transliterates text between writing systems
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Lingua-Translit

Source0:        https://cpan.metacpan.org/authors/id/A/AL/ALINKE/Lingua-Translit-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)

# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)

# Testing
BuildRequires:  perl(Test::More)


%description
Lingua::Translit can be used to convert text from one writing system to
another, based on national or international transliteration tables. Where
possible a reverse transliteration is supported.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Lingua-Translit-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%generate_compatibility_deps

%check
make test


%files
%{_bindir}/translit
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Tue Feb 14 2023 happy_orange <songnannan@linux.alibaba.com> - 0.29-1
- package import to anolis23
